ldns_rbtree_t Struct Reference

definition for tree struct More...

`#include <rbtree.h>`

## Data Fields

ldns_rbnode_t * | root
| The root of the red-black tree.
size_t | count
| The number of the nodes in the tree.
int(* | cmp )(const void *, const void *)
| Key compare function.

## Detailed Description

definition for tree struct

Definition at line 83 of file rbtree.h.

## Field Documentation

## root

ldns_rbnode_t* ldns_rbtree_t::root

The root of the red-black tree.

Definition at line 85 of file rbtree.h.

## count

size_t ldns_rbtree_t::count

The number of the nodes in the tree.

Definition at line 88 of file rbtree.h.

## cmp

int(* ldns_rbtree_t::cmp) (const void *, const void *)

Key compare function.

<0,0,>0 like strcmp. Return 0 on two NULL ptrs.

Definition at line 94 of file rbtree.h.